module Elvarg
  module Stats #:nodoc:
    ##
    # An array of symbols that represent all
    # available skills on OldSchool RuneScape.
    SKILLS = %i[
      overall attack defence strength
      hitpoints ranged prayer magic
      cooking woodcutting fletching fishing
      firemaking crafting smithing mining
      herblore agility thieving slayer
      farming runecraft hunter construction
    ].freeze

    ##
    # An array of symbols that represent all skills
    # that are member's only.
    MEMBER_SKILLS = %i[
      fletching herblore agility thieving
      slayer farming hunter construction
    ].freeze

    ##
    # An array of symbols that represent all skills
    # that affect a player's combat level.
    COMBAT_SKILLS = %i[
      attack defence strength hitpoints
      ranged prayer magic
    ].freeze
  end
end
